[translating by KayGuoWhu]
What are useful online tools for Linux
================================================================================
As you know, GNU Linux is much more than just an OS. There is literally a whole sphere on the Internet dedicated to the penguin OS. If you read this post, you are probably inclined towards reading about Linux online. Among all the pages that you can find on the subject, there are a couple of websites that every Linux adventurer should have in his bookmarks. These websites are more than just tutorials or reviews. They are real tools that you can access from anywhere and share with everyone. So today I shall propose you a non-exhaustive list of sixteen websites that should be in your bookmarks. Some of them can also be useful for Windows or Mac users: that's the extent of their reach.

### 1. [ExplainShell.com][1] ###

[![](https://farm4.staticflickr.com/3841/14517716647_3b6a1a564d_z.jpg)][2]

If you are interested in Linux command line, you should use this website. If you are not interested in Linux command line, you should use it even more as it will explain in detail how a command works. This could prevent you from launching a command detrimental to your computer, and is a good way to learn with a great interface.

### 2. [BashrcGenerator.com][3] ###

[![](https://farm4.staticflickr.com/3900/14703872782_033e5acdb8_z.jpg)][4]

If you want to begin with Linux command line, or if you want to quickly get a customized shell prompt but not sure how, this website will generate for you PS1 prompt code to place your .bashrc file in your home directory. You can drag and drop the elements that you would like to see in your prompt, like your username and the current time, and the website will write the code for you. It's easy and very readable. Definitely a must for the lazy.

### 3. [Vim-adventures.com][5] ###

[![](https://farm4.staticflickr.com/3838/14681149696_0c533fd6de_z.jpg)][6]

I only recently discovered this website, but it already sucked in many hours of my life. In short: a RPG game with Vim commands. Move your character in the isometric levels with the 'h,j,k,l' keys, gain new commands/abilities, collect keys, and learn how to use Vim proficiently very quickly.

### 4. [Try Github][7] ###

[![](https://farm4.staticflickr.com/3874/14517499739_0452848d68_z.jpg)][8]

The pitch is simple: learn Git in 15 minutes. This website simulates a console, and walks you though the steps of collaborative editing. The interface is very stylish and the intention is worthy. The only downside is for the Git allergic. But it is definitely a good skill to have, and a good place to learn it.

### 5. [Shortcutfoo.com][9] ###

[![](https://farm4.staticflickr.com/3906/14517499799_f142ea37cb_z.jpg)][10]

Another shortcut database, shortcutfoo is a bit more standard in its way to present its content to the user, but definitely more straight-forward than funny mini-games. The shortcuts of several programs are available and grouped by categories. As it might not be super complete for software like Vim, which is completely reliant on shortcuts, it is perfect for giving a quick tip or a general overview.

### 6. [GitHub Free Programming Books][11] ###

[![](https://farm4.staticflickr.com/3867/14517499989_408a28d8be_z.jpg)][12]

As you might guess from the URL, this is a collection of free online books about programming, written collaboratively using Git. The content is awesome and the authors deserve to be praised for such work. It might not be the easiest read at first, but it is one of the most instructive for sure. We can only hope that the movement will keep growing.

### 7. [Collabedit.com][13] ###

[![](https://farm3.staticflickr.com/2940/14681150086_2d169d67f9_z.jpg)][14]

If you ever plan on giving a phone interview, you should check out collabedit beforehand. It allows you to create a document, select the programming language that you want to write in, and then share that document via the URL. The people opening the link will be able to freely interact in real time with the text, allowing you to judge their programming skills or just exchange snippets. It even comes with the proper syntax highlighting and a chat widget. In other words, it is the instant-Google Document of programmers.

### 8. [Cpp.sh][15] ###

[![](https://farm4.staticflickr.com/3840/14700981001_af3ac40b65_z.jpg)][16]

This is one of those websites that extend beyond just Linux, but it is so useful that it deserves its place here. In short, an online development environment for C++. Just write your code in your navigator and run it. As a bonus, you get an auto-indentation feature, Ctrl+Z, and the possibility to share the URL with your buddy. This is just one of those crazy things that you can do from a simple browser.

### 9. [Copy.sh][17] ###

[![](https://farm4.staticflickr.com/3883/14517479870_da521931eb_z.jpg)][18]

In continuation with crazy things that you can do from your browser, copy.sh lets you run a virtual machine online. Just that. It gained fame relatively recently, but the idea is just insane. From the navigator you can select among the defaults virtual images to run, or upload your own iso file. The code for that feat has been shared on [GitHub][19]. Just amazing.

### 10. [Commandlinefu.com][20] ###

[![](https://farm4.staticflickr.com/3887/14517495938_ca3b831ca9_z.jpg)][21]

We all keep a big snippet of command-line "gems" on our computer. commandlinefu's goal is to release those snippets to the world. As a collaborative database, it resembles the Wikipedia of the command line. Everyone is free to register and post their favorite command on the website for everyone else to see. You will then be able to access that knowledge from everywhere and share it with everyone. If you are interested in mastering the shell, commandlinefu also proposes great features like random commands and a news feed to learn something new every day.

### 11. [Alias.sh][22] ###

[![](https://farm4.staticflickr.com/3868/14701762124_a7b3547aca_z.jpg)][23]

Another collaborative database, alias.sh (I love the URL) is a bit like commandlinefu but for shell aliases. You can share and discover useful aliases which will make your CLI experience so much better. I personally like the alias to get the dimensions of a picture.

    function dim(){ sips $1 -g pixelWidth -g pixelHeight }

All the seconds you save with alias.sh probably accumulate with time, and turn to years by the end of your life. 

### 12. [Distrowatch.com][24] ###

[![](https://farm3.staticflickr.com/2910/14681149996_50a45bff78_z.jpg)][25]

Who does not know Distrowatch? Besides giving a precise ranking of Linux distributions based on their website popularity, Distrowatch is also a very useful database. Whether you are looking for a new distribution to try, or just curious, it presents an exhaustive account of every Linux you can find, with information like which default desktop environment it uses, or package system, or its default applications. And all the versions, and with easily accessible download links. In a word, the Linux database.

### 13. [Linuxmanpages.com][26] ###

[![](https://farm4.staticflickr.com/3911/14704165765_8e30cb3d3f_z.jpg)][27]

Everything is in the URL: access the manual pages for popular commands from anywhere. Not really sure if this would actually be useful for Linux users as you can access that from your actual terminal, but the intent is remarkable.

### 14. [AwesomeCow.com][28] ###

[![](https://farm6.staticflickr.com/5558/14704165965_02b10ee293_z.jpg)][29]

This is maybe a bit less hardcore Linux, but definitely useful to some. Awesomecow is a search engine for finding alternatives to Windows software on Linux. It can be helpful for anyone migrating to the penguin, or nostalgic of a Windows program. I see this as a strength, showing that Linux can compete with the professional spheres when it comes sot software quality. Or at least try to.

### 15. [PenguSpy.com][30] ###

[![](https://farm4.staticflickr.com/3904/14517495728_f6877e8e3b_z.jpg)][31]

Before Steam started to show up on Linux, gaming was probably one of the penguin's weakness. But the website penguspy made the effort of fighting that weakness by collecting all Linux compatible games in a database with a sexy interface. Games can be sorted by categories, release dates, ratings, etc. I really hope that websites like this are not going to disappear because of Steam as it remains one of my favorites of this list.

### 16. [Linux Cross Reference by Free Electrons][32] ###

[![](https://farm4.staticflickr.com/3913/14712049464_6b666e2cfa_z.jpg)][33]

Finally, for all the experts and the curious, lxr is the anagram from Linux Cross Reference, and allows us to interactively view the Linux Kernel code online. The navigation is made easy via identifiers, and you can compare the different versions of the files with a standard diff markup. The interface is sober and straight-forward, and this is just a website that perfectly illustrates the concept of open source.

To conclude, there are a lot more websites which deserve to be listed, and this might be a topic for a part two to this post. But this is a good start. It serves as an appetizer to what can be found online as tools for Linux users. If you have any other pages that you would like to share, following this thematic, do so in the comments. And maybe contribute to a sequel to this list.

--------------------------------------------------------------------------------

via: http://xmodulo.com/2014/07/useful-online-tools-linux.html

原文作者：[Adrien Brochard][a](I am a Linux aficionado from France. After trying multiple distributions, I finally settled for Archlinux. But I am always trying to improve my system by stacking up tips and tricks.)

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://xmodulo.com/author/adrien
[1]:http://explainshell.com/
[2]:https://www.flickr.com/photos/xmodulo/14517716647/
[3]:http://bashrcgenerator.com/
[4]:https://www.flickr.com/photos/xmodulo/14703872782/
[5]:http://vim-adventures.com/
[6]:https://www.flickr.com/photos/xmodulo/14681149696/
[7]:https://try.github.io/
[8]:https://www.flickr.com/photos/xmodulo/14517499739/
[9]:https://www.shortcutfoo.com/
[10]:https://www.flickr.com/photos/xmodulo/14517499799/
[11]:https://github.com/vhf/free-programming-books/blob/master/free-programming-books.md
[12]:https://www.flickr.com/photos/xmodulo/14517499989/
[13]:http://collabedit.com/
[14]:https://www.flickr.com/photos/xmodulo/14681150086/
[15]:http://cpp.sh/
[16]:https://www.flickr.com/photos/xmodulo/14700981001/
[17]:http://copy.sh/v24/
[18]:https://www.flickr.com/photos/xmodulo/14517479870/
[19]:https://github.com/copy/v86
[20]:http://www.commandlinefu.com/
[21]:https://www.flickr.com/photos/xmodulo/14517495938/
[22]:http://alias.sh/
[23]:https://www.flickr.com/photos/xmodulo/14701762124/
[24]:http://distrowatch.com/
[25]:https://www.flickr.com/photos/xmodulo/14681149996/
[26]:http://www.linuxmanpages.com/
[27]:https://www.flickr.com/photos/xmodulo/14704165765/
[28]:http://awesomecow.com/
[29]:https://www.flickr.com/photos/xmodulo/14704165965/
[30]:http://www.penguspy.com/
[31]:https://www.flickr.com/photos/xmodulo/14517495728/
[32]:http://lxr.free-electrons.com/
[33]:https://www.flickr.com/photos/xmodulo/14712049464/